Bug 622955

Summary: operation failed: could not query memory balloon allocation
Product: [Fedora] Fedora Reporter: Mark Watts <m.watts>
Component: libvirtAssignee: Daniel Veillard <veillard>
Status: CLOSED DEFERRED QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 13CC: aquini, berrange, clalance, crobinso, itamar, jforbes, veillard, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-06-10 13:47:07 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Mark Watts 2010-08-10 17:36:44 EDT
I have Fedora 13 x86_64 on an Athlon II x2 CPU.
4GB ram, and a 500GB hard disk dedicate as VM storage via LVM.

I have a script to create CentOS 5.5 VM's using HTTP install and kickstart, using the Host as the HTTP server.

$NAME is passed to the script.

virt-install --connect qemu:///system \
	--wait 10 \
	--os-variant=rhel5.4 \
	--os-type=linux \
	--name $NAME \
	--ram 256 \
	--vcpus=1 \
	--disk path=/dev/KVM_Volume/$NAME,bus=virtio \
	--network bridge=br0 \
	--noautoconsole \
	--location http://192.168.1.251/centos/5.5/os/x86_64/ \
	-x "ks=http://192.168.1.251/centos/kickstart/centos-base.ks"


I loop through this script 10 times:

# for i in $(seq -w -s " " 1 10); do lvcreate -n VM_$i -L 10G /dev/KVM_Volume; ./centos-vm.sh VM_$i; done;

Periodically, a virt-install may fail:

  Logical volume "VM_03" created
Starting install...
Retrieving file .treeinfo...                                                        |  834 B     00:00 ... 
Retrieving file vmlinuz...                                                          | 3.7 MB     00:00 ... 
Retrieving file initrd.img...                                                       |  15 MB     00:00 ... 
Creating domain...                                                                  |    0 B     00:00     
Domain installation still in progress. Waiting 10 minutes for installation to complete.
ERROR    operation failed: could not query memory balloon allocation
Domain installation does not appear to have been
 successful.  If it was, you can restart your domain
 by running 'virsh start VM_03'; otherwise, please
 restart your installation.
ERROR    operation failed: could not query memory balloon allocation
Traceback (most recent call last):
  File "/usr/sbin/virt-install", line 1054, in <module>
    main()
  File "/usr/sbin/virt-install", line 936, in main
    start_time, guest.start_install)
  File "/usr/sbin/virt-install", line 1025, in do_install
    if guest.domain_is_shutdown():
  File "/usr/lib/python2.6/site-packages/virtinst/Guest.py", line 930, in domain_is_shutdown
    dominfo = dom.info()
  File "/usr/lib64/python2.6/site-packages/libvirt.py", line 766, in info
    if ret is None: raise libvirtError ('virDomainGetInfo() failed', dom=self)
libvirtError: operation failed: could not query memory balloon allocation
Comment 1 Bug Zapper 2011-06-01 07:42:36 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Cole Robinson 2011-06-10 13:47:07 EDT
Closing, please reopen if you can reproduce against a recent fedora